# Customization

## Customizing Colors

To customize in the Snap UI use the updateColorConfiguration method provided by our Native Module. The following code snippet shows all available options. Please note that for each color option, you can provide either a single color which is used for both light and dark mode or you can append the suffix -light or -dark to the color name to provide specific colors.

```javascript
SnapscreenSDKModule.updateColorConfiguration({
  "textPrimary": "#000000",
  "textAccent": "#000000",
  "backgroundWhite": "#FFFFFF",
      
  "background-light": "#E5E5E5",
  "background-dark": "#4B4B4B",

  "backgroundMuted": "#F2f2F2",
  "border": "#E5E5E5",
  "backgroundAccent": "#2DD4BF",
  "backgroundAccentShade": "#D5F6F2",
  "error": "#EA436E",
  "errorShade": "#FBD9E2"
});
```

## Customizing Snap UI

To customize displayed messages in the Snap UI use the updateSnapUIConfiguration method provided by our Native Module. The following code snippet shows all available options:

```swift
SnapscreenSDKModule.updateSnapUIConfiguration({ 
  "snapHintText": "My Custom Snap Hint", 
  "snapProgressText": "Custom Progress",
  "snapErrorGeneralText": "Custom Error",
  "snapErrorConnectionIssueText": "Custom Connection Error",
  "snapErrorNoResultsText": "Custom No Results",
  "hidePoweredBySnapOddsBranding": true
});
```

All desired customizations must be done prior to presenting the Snap UI.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snapodds.com/docs/mobile-sdk/react-native/snapodds-operator/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
